Loading...
Searching...
No Matches
VPB_DIGITS Struct Reference
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector » Wav audio support » DTMF digit collection

Digit collection parameters. More...

`#include <vpbapi.h>`

Collaboration diagram for VPB_DIGITS:

## Public Attributes

const char * | term_digits
| A list of specific digits that may terminate collection.
unsigned short | max_digits
| The maximum number of digits to collect.
unsigned long | digit_time_out
| The maximum time in `ms` to wait for digits.
unsigned long | inter_digit_time_out
| The maximum time in `ms` to wait for further digits once collection begins.

## Detailed Description

Digit collection parameters.